package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletAnswer;

/**
 * 基本考核答案Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletAnswerService 
{
    /**
     * 查询基本考核答案
     * 
     * @param title 基本考核答案主键
     * @return 基本考核答案
     */
    public AppletAnswer selectAppletAnswerByTitle(String title);

    /**
     * 查询基本考核答案列表
     * 
     * @param appletAnswer 基本考核答案
     * @return 基本考核答案集合
     */
    public List<AppletAnswer> selectAppletAnswerList(AppletAnswer appletAnswer);

    /**
     * 新增基本考核答案
     * 
     * @param appletAnswer 基本考核答案
     * @return 结果
     */
    public int insertAppletAnswer(AppletAnswer appletAnswer);

    /**
     * 修改基本考核答案
     * 
     * @param appletAnswer 基本考核答案
     * @return 结果
     */
    public int updateAppletAnswer(AppletAnswer appletAnswer);

    /**
     * 批量删除基本考核答案
     * 
     * @param titles 需要删除的基本考核答案主键集合
     * @return 结果
     */
    public int deleteAppletAnswerByTitles(String[] titles);

    /**
     * 删除基本考核答案信息
     * 
     * @param title 基本考核答案主键
     * @return 结果
     */
    public int deleteAppletAnswerByTitle(String title);
}
