package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletAnswerTrain;

/**
 * 用户培训考核答案Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletAnswerTrainService 
{
    /**
     * 查询用户培训考核答案
     * 
     * @param questionId 用户培训考核答案主键
     * @return 用户培训考核答案
     */
    public AppletAnswerTrain selectAppletAnswerTrainByQuestionId(Long questionId);

    /**
     * 查询用户培训考核答案列表
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 用户培训考核答案集合
     */
    public List<AppletAnswerTrain> selectAppletAnswerTrainList(AppletAnswerTrain appletAnswerTrain);

    /**
     * 新增用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    public int insertAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain);

    /**
     * 修改用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    public int updateAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain);

    /**
     * 批量删除用户培训考核答案
     * 
     * @param questionIds 需要删除的用户培训考核答案主键集合
     * @return 结果
     */
    public int deleteAppletAnswerTrainByQuestionIds(Long[] questionIds);

    /**
     * 删除用户培训考核答案信息
     * 
     * @param questionId 用户培训考核答案主键
     * @return 结果
     */
    public int deleteAppletAnswerTrainByQuestionId(Long questionId);
}
