package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletIncrease;

/**
 * 增值服务Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletIncreaseService 
{
    /**
     * 查询增值服务
     * 
     * @param title 增值服务主键
     * @return 增值服务
     */
    public AppletIncrease selectAppletIncreaseByTitle(String title);

    /**
     * 查询增值服务列表
     * 
     * @param appletIncrease 增值服务
     * @return 增值服务集合
     */
    public List<AppletIncrease> selectAppletIncreaseList(AppletIncrease appletIncrease);

    /**
     * 新增增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    public int insertAppletIncrease(AppletIncrease appletIncrease);

    /**
     * 修改增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    public int updateAppletIncrease(AppletIncrease appletIncrease);

    /**
     * 批量删除增值服务
     * 
     * @param titles 需要删除的增值服务主键集合
     * @return 结果
     */
    public int deleteAppletIncreaseByTitles(String[] titles);

    /**
     * 删除增值服务信息
     * 
     * @param title 增值服务主键
     * @return 结果
     */
    public int deleteAppletIncreaseByTitle(String title);
}
