package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletQuestion;

/**
 * 考核题库Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletQuestionService 
{
    /**
     * 查询考核题库
     * 
     * @param title 考核题库主键
     * @return 考核题库
     */
    public AppletQuestion selectAppletQuestionByTitle(String title);

    /**
     * 查询考核题库列表
     * 
     * @param appletQuestion 考核题库
     * @return 考核题库集合
     */
    public List<AppletQuestion> selectAppletQuestionList(AppletQuestion appletQuestion);

    /**
     * 新增考核题库
     * 
     * @param appletQuestion 考核题库
     * @return 结果
     */
    public int insertAppletQuestion(AppletQuestion appletQuestion);

    /**
     * 修改考核题库
     * 
     * @param appletQuestion 考核题库
     * @return 结果
     */
    public int updateAppletQuestion(AppletQuestion appletQuestion);

    /**
     * 批量删除考核题库
     * 
     * @param titles 需要删除的考核题库主键集合
     * @return 结果
     */
    public int deleteAppletQuestionByTitles(String[] titles);

    /**
     * 删除考核题库信息
     * 
     * @param title 考核题库主键
     * @return 结果
     */
    public int deleteAppletQuestionByTitle(String title);
}
