package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletServiceLog;

/**
 * 服务记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletServiceLogService 
{
    /**
     * 查询服务记录
     * 
     * @param serviceType 服务记录主键
     * @return 服务记录
     */
    public AppletServiceLog selectAppletServiceLogByServiceType(String serviceType);

    /**
     * 查询服务记录列表
     * 
     * @param appletServiceLog 服务记录
     * @return 服务记录集合
     */
    public List<AppletServiceLog> selectAppletServiceLogList(AppletServiceLog appletServiceLog);

    /**
     * 新增服务记录
     * 
     * @param appletServiceLog 服务记录
     * @return 结果
     */
    public int insertAppletServiceLog(AppletServiceLog appletServiceLog);

    /**
     * 修改服务记录
     * 
     * @param appletServiceLog 服务记录
     * @return 结果
     */
    public int updateAppletServiceLog(AppletServiceLog appletServiceLog);

    /**
     * 批量删除服务记录
     * 
     * @param serviceTypes 需要删除的服务记录主键集合
     * @return 结果
     */
    public int deleteAppletServiceLogByServiceTypes(String[] serviceTypes);

    /**
     * 删除服务记录信息
     * 
     * @param serviceType 服务记录主键
     * @return 结果
     */
    public int deleteAppletServiceLogByServiceType(String serviceType);
}
