package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletAddressMapper;
import com.ruoyi.model.domain.AppletAddress;
import com.ruoyi.model.service.IAppletAddressService;

/**
 * 地址信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletAddressServiceImpl implements IAppletAddressService 
{
    @Autowired
    private AppletAddressMapper appletAddressMapper;

    /**
     * 查询地址信息
     * 
     * @param area 地址信息主键
     * @return 地址信息
     */
    @Override
    public AppletAddress selectAppletAddressByArea(String area)
    {
        return appletAddressMapper.selectAppletAddressByArea(area);
    }

    /**
     * 查询地址信息列表
     * 
     * @param appletAddress 地址信息
     * @return 地址信息
     */
    @Override
    public List<AppletAddress> selectAppletAddressList(AppletAddress appletAddress)
    {
        return appletAddressMapper.selectAppletAddressList(appletAddress);
    }

    /**
     * 新增地址信息
     * 
     * @param appletAddress 地址信息
     * @return 结果
     */
    @Override
    public int insertAppletAddress(AppletAddress appletAddress)
    {
        return appletAddressMapper.insertAppletAddress(appletAddress);
    }

    /**
     * 修改地址信息
     * 
     * @param appletAddress 地址信息
     * @return 结果
     */
    @Override
    public int updateAppletAddress(AppletAddress appletAddress)
    {
        return appletAddressMapper.updateAppletAddress(appletAddress);
    }

    /**
     * 批量删除地址信息
     * 
     * @param areas 需要删除的地址信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletAddressByAreas(String[] areas)
    {
        return appletAddressMapper.deleteAppletAddressByAreas(areas);
    }

    /**
     * 删除地址信息信息
     * 
     * @param area 地址信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletAddressByArea(String area)
    {
        return appletAddressMapper.deleteAppletAddressByArea(area);
    }
}
