package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletAnswerMapper;
import com.ruoyi.model.domain.AppletAnswer;
import com.ruoyi.model.service.IAppletAnswerService;

/**
 * 基本考核答案Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletAnswerServiceImpl implements IAppletAnswerService 
{
    @Autowired
    private AppletAnswerMapper appletAnswerMapper;

    /**
     * 查询基本考核答案
     * 
     * @param title 基本考核答案主键
     * @return 基本考核答案
     */
    @Override
    public AppletAnswer selectAppletAnswerByTitle(String title)
    {
        return appletAnswerMapper.selectAppletAnswerByTitle(title);
    }

    /**
     * 查询基本考核答案列表
     * 
     * @param appletAnswer 基本考核答案
     * @return 基本考核答案
     */
    @Override
    public List<AppletAnswer> selectAppletAnswerList(AppletAnswer appletAnswer)
    {
        return appletAnswerMapper.selectAppletAnswerList(appletAnswer);
    }

    /**
     * 新增基本考核答案
     * 
     * @param appletAnswer 基本考核答案
     * @return 结果
     */
    @Override
    public int insertAppletAnswer(AppletAnswer appletAnswer)
    {
        return appletAnswerMapper.insertAppletAnswer(appletAnswer);
    }

    /**
     * 修改基本考核答案
     * 
     * @param appletAnswer 基本考核答案
     * @return 结果
     */
    @Override
    public int updateAppletAnswer(AppletAnswer appletAnswer)
    {
        return appletAnswerMapper.updateAppletAnswer(appletAnswer);
    }

    /**
     * 批量删除基本考核答案
     * 
     * @param titles 需要删除的基本考核答案主键
     * @return 结果
     */
    @Override
    public int deleteAppletAnswerByTitles(String[] titles)
    {
        return appletAnswerMapper.deleteAppletAnswerByTitles(titles);
    }

    /**
     * 删除基本考核答案信息
     * 
     * @param title 基本考核答案主键
     * @return 结果
     */
    @Override
    public int deleteAppletAnswerByTitle(String title)
    {
        return appletAnswerMapper.deleteAppletAnswerByTitle(title);
    }
}
