package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletAnswerTrainMapper;
import com.ruoyi.model.domain.AppletAnswerTrain;
import com.ruoyi.model.service.IAppletAnswerTrainService;

/**
 * 用户培训考核答案Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletAnswerTrainServiceImpl implements IAppletAnswerTrainService 
{
    @Autowired
    private AppletAnswerTrainMapper appletAnswerTrainMapper;

    /**
     * 查询用户培训考核答案
     * 
     * @param questionId 用户培训考核答案主键
     * @return 用户培训考核答案
     */
    @Override
    public AppletAnswerTrain selectAppletAnswerTrainByQuestionId(Long questionId)
    {
        return appletAnswerTrainMapper.selectAppletAnswerTrainByQuestionId(questionId);
    }

    /**
     * 查询用户培训考核答案列表
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 用户培训考核答案
     */
    @Override
    public List<AppletAnswerTrain> selectAppletAnswerTrainList(AppletAnswerTrain appletAnswerTrain)
    {
        return appletAnswerTrainMapper.selectAppletAnswerTrainList(appletAnswerTrain);
    }

    /**
     * 新增用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    @Override
    public int insertAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain)
    {
        return appletAnswerTrainMapper.insertAppletAnswerTrain(appletAnswerTrain);
    }

    /**
     * 修改用户培训考核答案
     * 
     * @param appletAnswerTrain 用户培训考核答案
     * @return 结果
     */
    @Override
    public int updateAppletAnswerTrain(AppletAnswerTrain appletAnswerTrain)
    {
        return appletAnswerTrainMapper.updateAppletAnswerTrain(appletAnswerTrain);
    }

    /**
     * 批量删除用户培训考核答案
     * 
     * @param questionIds 需要删除的用户培训考核答案主键
     * @return 结果
     */
    @Override
    public int deleteAppletAnswerTrainByQuestionIds(Long[] questionIds)
    {
        return appletAnswerTrainMapper.deleteAppletAnswerTrainByQuestionIds(questionIds);
    }

    /**
     * 删除用户培训考核答案信息
     * 
     * @param questionId 用户培训考核答案主键
     * @return 结果
     */
    @Override
    public int deleteAppletAnswerTrainByQuestionId(Long questionId)
    {
        return appletAnswerTrainMapper.deleteAppletAnswerTrainByQuestionId(questionId);
    }
}
