package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletIncreaseMapper;
import com.ruoyi.model.domain.AppletIncrease;
import com.ruoyi.model.service.IAppletIncreaseService;

/**
 * 增值服务Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletIncreaseServiceImpl implements IAppletIncreaseService 
{
    @Autowired
    private AppletIncreaseMapper appletIncreaseMapper;

    /**
     * 查询增值服务
     * 
     * @param title 增值服务主键
     * @return 增值服务
     */
    @Override
    public AppletIncrease selectAppletIncreaseByTitle(String title)
    {
        return appletIncreaseMapper.selectAppletIncreaseByTitle(title);
    }

    /**
     * 查询增值服务列表
     * 
     * @param appletIncrease 增值服务
     * @return 增值服务
     */
    @Override
    public List<AppletIncrease> selectAppletIncreaseList(AppletIncrease appletIncrease)
    {
        return appletIncreaseMapper.selectAppletIncreaseList(appletIncrease);
    }

    /**
     * 新增增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    @Override
    public int insertAppletIncrease(AppletIncrease appletIncrease)
    {
        return appletIncreaseMapper.insertAppletIncrease(appletIncrease);
    }

    /**
     * 修改增值服务
     * 
     * @param appletIncrease 增值服务
     * @return 结果
     */
    @Override
    public int updateAppletIncrease(AppletIncrease appletIncrease)
    {
        return appletIncreaseMapper.updateAppletIncrease(appletIncrease);
    }

    /**
     * 批量删除增值服务
     * 
     * @param titles 需要删除的增值服务主键
     * @return 结果
     */
    @Override
    public int deleteAppletIncreaseByTitles(String[] titles)
    {
        return appletIncreaseMapper.deleteAppletIncreaseByTitles(titles);
    }

    /**
     * 删除增值服务信息
     * 
     * @param title 增值服务主键
     * @return 结果
     */
    @Override
    public int deleteAppletIncreaseByTitle(String title)
    {
        return appletIncreaseMapper.deleteAppletIncreaseByTitle(title);
    }
}
