package com.ruoyi.model.service.impl;

import java.util.Date;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletOutDateMapper;
import com.ruoyi.model.domain.AppletOutDate;
import com.ruoyi.model.service.IAppletOutDateService;

/**
 * 不接单日期Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletOutDateServiceImpl implements IAppletOutDateService 
{
    @Autowired
    private AppletOutDateMapper appletOutDateMapper;

    /**
     * 查询不接单日期
     * 
     * @param date 不接单日期主键
     * @return 不接单日期
     */
    @Override
    public AppletOutDate selectAppletOutDateByDate(Date date)
    {
        return appletOutDateMapper.selectAppletOutDateByDate(date);
    }

    /**
     * 查询不接单日期列表
     * 
     * @param appletOutDate 不接单日期
     * @return 不接单日期
     */
    @Override
    public List<AppletOutDate> selectAppletOutDateList(AppletOutDate appletOutDate)
    {
        return appletOutDateMapper.selectAppletOutDateList(appletOutDate);
    }

    /**
     * 新增不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    @Override
    public int insertAppletOutDate(AppletOutDate appletOutDate)
    {
        return appletOutDateMapper.insertAppletOutDate(appletOutDate);
    }

    /**
     * 修改不接单日期
     * 
     * @param appletOutDate 不接单日期
     * @return 结果
     */
    @Override
    public int updateAppletOutDate(AppletOutDate appletOutDate)
    {
        return appletOutDateMapper.updateAppletOutDate(appletOutDate);
    }

    /**
     * 批量删除不接单日期
     * 
     * @param dates 需要删除的不接单日期主键
     * @return 结果
     */
    @Override
    public int deleteAppletOutDateByDates(Date[] dates)
    {
        return appletOutDateMapper.deleteAppletOutDateByDates(dates);
    }

    /**
     * 删除不接单日期信息
     * 
     * @param date 不接单日期主键
     * @return 结果
     */
    @Override
    public int deleteAppletOutDateByDate(Date date)
    {
        return appletOutDateMapper.deleteAppletOutDateByDate(date);
    }
}
