package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletPetTypeMapper;
import com.ruoyi.model.domain.AppletPetType;
import com.ruoyi.model.service.IAppletPetTypeService;

/**
 * 个人宠物类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletPetTypeServiceImpl implements IAppletPetTypeService 
{
    @Autowired
    private AppletPetTypeMapper appletPetTypeMapper;

    /**
     * 查询个人宠物类型
     * 
     * @param title 个人宠物类型主键
     * @return 个人宠物类型
     */
    @Override
    public AppletPetType selectAppletPetTypeByTitle(String title)
    {
        return appletPetTypeMapper.selectAppletPetTypeByTitle(title);
    }

    /**
     * 查询个人宠物类型列表
     * 
     * @param appletPetType 个人宠物类型
     * @return 个人宠物类型
     */
    @Override
    public List<AppletPetType> selectAppletPetTypeList(AppletPetType appletPetType)
    {
        return appletPetTypeMapper.selectAppletPetTypeList(appletPetType);
    }

    /**
     * 新增个人宠物类型
     * 
     * @param appletPetType 个人宠物类型
     * @return 结果
     */
    @Override
    public int insertAppletPetType(AppletPetType appletPetType)
    {
        return appletPetTypeMapper.insertAppletPetType(appletPetType);
    }

    /**
     * 修改个人宠物类型
     * 
     * @param appletPetType 个人宠物类型
     * @return 结果
     */
    @Override
    public int updateAppletPetType(AppletPetType appletPetType)
    {
        return appletPetTypeMapper.updateAppletPetType(appletPetType);
    }

    /**
     * 批量删除个人宠物类型
     * 
     * @param titles 需要删除的个人宠物类型主键
     * @return 结果
     */
    @Override
    public int deleteAppletPetTypeByTitles(String[] titles)
    {
        return appletPetTypeMapper.deleteAppletPetTypeByTitles(titles);
    }

    /**
     * 删除个人宠物类型信息
     * 
     * @param title 个人宠物类型主键
     * @return 结果
     */
    @Override
    public int deleteAppletPetTypeByTitle(String title)
    {
        return appletPetTypeMapper.deleteAppletPetTypeByTitle(title);
    }
}
