package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletServiceMapper;
import com.ruoyi.model.domain.AppletService;
import com.ruoyi.model.service.IAppletServiceService;

/**
 * 平台&服务介绍信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletServiceServiceImpl implements IAppletServiceService 
{
    @Autowired
    private AppletServiceMapper appletServiceMapper;

    /**
     * 查询平台&服务介绍信息
     * 
     * @param title 平台&服务介绍信息主键
     * @return 平台&服务介绍信息
     */
    @Override
    public AppletService selectAppletServiceByTitle(String title)
    {
        return appletServiceMapper.selectAppletServiceByTitle(title);
    }

    /**
     * 查询平台&服务介绍信息列表
     * 
     * @param appletService 平台&服务介绍信息
     * @return 平台&服务介绍信息
     */
    @Override
    public List<AppletService> selectAppletServiceList(AppletService appletService)
    {
        return appletServiceMapper.selectAppletServiceList(appletService);
    }

    /**
     * 新增平台&服务介绍信息
     * 
     * @param appletService 平台&服务介绍信息
     * @return 结果
     */
    @Override
    public int insertAppletService(AppletService appletService)
    {
        return appletServiceMapper.insertAppletService(appletService);
    }

    /**
     * 修改平台&服务介绍信息
     * 
     * @param appletService 平台&服务介绍信息
     * @return 结果
     */
    @Override
    public int updateAppletService(AppletService appletService)
    {
        return appletServiceMapper.updateAppletService(appletService);
    }

    /**
     * 批量删除平台&服务介绍信息
     * 
     * @param titles 需要删除的平台&服务介绍信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletServiceByTitles(String[] titles)
    {
        return appletServiceMapper.deleteAppletServiceByTitles(titles);
    }

    /**
     * 删除平台&服务介绍信息信息
     * 
     * @param title 平台&服务介绍信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletServiceByTitle(String title)
    {
        return appletServiceMapper.deleteAppletServiceByTitle(title);
    }
}
